public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ben de Groot" <yngwin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/qt:master commit in: app-editors/vim-qt/
Date: Sat, 25 Oct 2014 02:24:14 +0000 (UTC)	[thread overview]
Message-ID: <1414203836.e20abcf379e40d729d2d6a84ba329d86afe964fa.yngwin@gentoo> (raw)

commit:     e20abcf379e40d729d2d6a84ba329d86afe964fa
Author:     Ben de Groot <yngwin <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 25 02:23:56 2014 +0000
Commit:     Ben de Groot <yngwin <AT> gentoo <DOT> org>
CommitDate: Sat Oct 25 02:23:56 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=e20abcf3

app-editors/vim-qt: sync with in tree changes

---
 app-editors/vim-qt/vim-qt-99999999.ebuild | 23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

diff --git a/app-editors/vim-qt/vim-qt-99999999.ebuild b/app-editors/vim-qt/vim-qt-99999999.ebuild
index d6c1c61..fe30111 100644
--- a/app-editors/vim-qt/vim-qt-99999999.ebuild
+++ b/app-editors/vim-qt/vim-qt-99999999.ebuild
@@ -3,9 +3,9 @@
 # $Header: $
 
 EAPI=5
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python{2_6,2_7} )
 PYTHON_REQ_USE="threads"
-inherit eutils fdo-mime flag-o-matic python-any-r1
+inherit eutils fdo-mime flag-o-matic python-single-r1
 
 DESCRIPTION="Qt GUI version of the Vim text editor"
 HOMEPAGE="https://bitbucket.org/equalsraf/vim-qt/wiki/Home"
@@ -24,26 +24,32 @@ fi
 
 LICENSE="vim"
 SLOT="0"
-IUSE="acl cscope debug gpm lua nls perl python ruby"
+IUSE="acl cscope debug gpm lua luajit nls perl python ruby"
 
 RDEPEND="app-admin/eselect-vi
-	>=app-editors/vim-core-7.3.762[acl?]
+	>=app-editors/vim-core-7.4.417[acl?]
 	sys-libs/ncurses
 	>=dev-qt/qtcore-4.7.0:4
 	>=dev-qt/qtgui-4.7.0:4
 	acl? ( kernel_linux? ( sys-apps/acl ) )
 	cscope? ( dev-util/cscope )
 	gpm? ( sys-libs/gpm )
-	lua? ( dev-lang/lua )
+	lua? ( luajit? ( dev-lang/luajit )
+		!luajit? ( dev-lang/lua ) )
 	nls? ( virtual/libintl )
 	perl? ( >=dev-lang/perl-5.16.0 )
 	python? ( ${PYTHON_DEPS} )
-	ruby? ( || ( dev-lang/ruby:1.9 dev-lang/ruby:1.8 ) )"
-DEPEND="${RDEPEND}"
+	ruby? ( || ( dev-lang/ruby:2.0 dev-lang/ruby:1.9 ) )"
+DEPEND="${RDEPEND}
+	dev-util/ctags
+	sys-devel/autoconf
+	virtual/pkgconfig
+	nls? ( sys-devel/gettext )"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
 pkg_setup() {
 	export LC_COLLATE="C" # prevent locale brokenness bug #82186
-	use python && python-any-r1_pkg_setup
+	use python && python-single-r1_pkg_setup
 }
 
 src_configure() {
@@ -54,6 +60,7 @@ src_configure() {
 	myconf+=" $(use_enable gpm)"
 	myconf+=" $(use_enable nls)"
 	myconf+=" $(use_enable lua luainterp)"
+	myconf+=" $(use_with luajit)"
 	myconf+=" $(use_enable perl perlinterp)"
 	myconf+=" $(use_enable python pythoninterp)"
 	myconf+=" $(use_enable ruby rubyinterp)"


             reply	other threads:[~2014-10-25  2:24 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-10-25  2:24 Ben de Groot [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-10-28 19:22 [gentoo-commits] proj/qt:master commit in: app-editors/vim-qt/ Michael Palimaka
2016-02-09 17:47 Davide Pesavento
2015-09-27 19:02 Michael Palimaka
2015-04-17 23:25 Davide Pesavento
2015-01-04 11:24 Ben de Groot
2014-11-24 12:54 Ben de Groot
2014-11-20  3:19 Davide Pesavento
2014-11-16  1:12 Ben de Groot
2014-10-25 17:15 Davide Pesavento
2014-10-19 22:30 Davide Pesavento
2014-06-10  7:58 Michael Palimaka
2013-08-08 10:53 Michael Palimaka
2013-07-14 11:08 Ben de Groot
2013-07-14 10:32 Ben de Groot
2013-02-01 19:42 Ben de Groot
2013-02-01 19:15 Ben de Groot
2013-02-01 16:37 Ben de Groot
2012-07-04 11:43 Johannes Huber
2012-07-04 11:42 Johannes Huber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1414203836.e20abcf379e40d729d2d6a84ba329d86afe964fa.yngwin@gentoo \
    --to=yngwin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox